/* $VER: FontAnalyzerV2.rexx 1.0c (01.11.94)
   Copyright 1994 Soft-Logik Publishing Corporation
   May not be distributed without Soft-Logik Publishing Corporation's express written permission */

OPTIONS RESULTS
TRACE OFF

/* Make sure rexx support is opened */
IF ~SHOW('L','rexxsupport.library') THEN
   CALL ADDLIB('rexxsupport.library',0,-30)

ADDRESS 'PAGESTREAM'

;GIVE INSTRUCTIONS
allocarexxrequester '"Analyze PageStream2 FontList File"' 592 111
    reqhandle=result
addarexxgadget reqhandle EXIT 12 94 70 label "_Ok"
    Okhandle=result
addarexxgadget reqhandle EXIT 510 94 70 label "_Cancel"
    Cancelhandle=result
addarexxgadget reqhandle TEXT 8 10 576 border none string "'This macro is used to ensure PageStream3 can recognize the fonts used'"
addarexxgadget reqhandle TEXT 8 20 576 border none string "'in your PageStream 2 documents. It will open a file requester for you'"
addarexxgadget reqhandle TEXT 8 30 576 border none string "'to select your PageStream2 FONTLISTv2 file. The macro will run the'"
addarexxgadget reqhandle TEXT 8 40 576 border none string "'FontListv2Analyzer utility included with PageStream3 and will append'"
addarexxgadget reqhandle TEXT 8 50 576 border none string "'the names of your fonts to the SoftLogik:Filters/PageStream2.fontlist'"
addarexxgadget reqhandle TEXT 8 60 576 border none string "'file. Your FONTLISTv2 file will be in your PageStream2 PSFonts drawer,'"
addarexxgadget reqhandle TEXT 8 70 576 border none string "'or wherever you set the path for fonts with the Set/Save Paths command.'"
doarexxrequester reqhandle

action=result
freearexxrequester reqhandle

;ANALYZE FONTLIST
if action=okhandle then do
    getfile TITLE '"Select FONTLISTv2 File"' load PATH 'ram:' FILE 'FONTLISTv2' POSBUTTON 'Ok'
	path=result
    if rc=0 then do
		'lockinterface true'
		openbusyrequester message "'Analyzing FONTLISTv2...'" thermometer disabled abort disabled
		bh=result
        address command 'PageStream3:FontListv2Analyzer 'path
		if rc=0 then do
			closebusyrequester bh
	        allocarexxrequester '"Done!"' 528 81
	            reqhandle=result
	        addarexxgadget reqhandle EXIT 229 64 70 label "_Ok"
	        addarexxgadget reqhandle TEXT 8 10 512 border none string "'Your PageStream2 FONTLISTv2 file has been analyzed, and the'"
	        addarexxgadget reqhandle TEXT 8 20 512 border none string "'list of your fonts has been appended to the SoftLogik:Filters/'"
	        addarexxgadget reqhandle TEXT 8 30 512 border none string "'PageStream2.fontlist file. You are now ready to open your'"
	        addarexxgadget reqhandle TEXT 8 40 512 border none string "'version 2 documents in PageStream 3.0.'"
	        doarexxrequester reqhandle
	        freearexxrequester reqhandle
			'lockinterface false'
			end
		else do
			closebusyrequester bh
	        allocarexxrequester '"Error!"' 528 61
	            reqhandle=result
	        addarexxgadget reqhandle EXIT 229 44 70 label "_Ok"
	        addarexxgadget reqhandle TEXT 8 10 512 border none string "'The FONTLISTv2 file could not be opened, or it was not a'"
	        addarexxgadget reqhandle TEXT 8 20 512 border none string "'valid PageStream2 FONTLISTv2 file. Please try again.'"
	        doarexxrequester reqhandle
	        freearexxrequester reqhandle
			'lockinterface false'
		end
    end
end
